## com.baidubce.services.media.model
Class GetWaterMarkResponse

    java.lang.Object
      com.baidubce.model.AbstractBceResponse
          com.baidubce.services.media.model.GetWaterMarkResponse

    public class GetWaterMarkResponse

extends AbstractBceResponse

Field Summary

Fields inherited from class com.baidubce.model.AbstractBceResponse
`metadata`

Constructor Summary
`GetWaterMarkResponse()`

Method Summary
`String` `getBucket()`
`String` `getCreateTime()`
`String` `getHorizontalAlignment()`
`Integer` `getHorizontalOffsetInPixel()`
`String` `getKey()`
`String` `getVerticalAlignment()`
`Integer` `getVerticalOffsetInPixel()`
`String` `getWatermarkId()`
`void` `setBucket(String bucket)`
`void` `setCreateTime(String createTime)`
`void` `setHorizontalAlignment(String horizontalAlignment)`
`void` `setHorizontalOffsetInPixel(Integer horizontalOffsetInPixel)`
`void` `setKey(String key)`
`void` `setVerticalAlignment(String verticalAlignment)`
`void` `setVerticalOffsetInPixel(Integer verticalOffsetInPixel)`
`void` `setWatermarkId(String watermarkId)`
`String` `toString()`

Methods inherited from class com.baidubce.model.AbstractBceResponse
`getMetadata`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### GetWaterMarkResponse

    public GetWaterMarkResponse()

Method Detail

### getWatermarkId

    public String getWatermarkId()

### setWatermarkId

    public void setWatermarkId(String watermarkId)

### getCreateTime

    public String getCreateTime()

### setCreateTime

    public void setCreateTime(String createTime)

### getBucket

    public String getBucket()

### setBucket

    public void setBucket(String bucket)

### getKey

    public String getKey()

### setKey

    public void setKey(String key)

### getVerticalOffsetInPixel

    public Integer getVerticalOffsetInPixel()

### setVerticalOffsetInPixel

    public void setVerticalOffsetInPixel(Integer verticalOffsetInPixel)

### getHorizontalOffsetInPixel

    public Integer getHorizontalOffsetInPixel()

### setHorizontalOffsetInPixel

    public void setHorizontalOffsetInPixel(Integer horizontalOffsetInPixel)

### getVerticalAlignment

    public String getVerticalAlignment()

### setVerticalAlignment

    public void setVerticalAlignment(String verticalAlignment)

### getHorizontalAlignment

    public String getHorizontalAlignment()

### setHorizontalAlignment

    public void setHorizontalAlignment(String horizontalAlignment)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Copyright © 2016. All rights reserved.